#ifndef COMMON_H
#define COMMON_H

/*
    newsstar - advanced news fetcher
    Copyright (C) 2001-2002 Tony Houghton <h@realh.co.uk>

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

/* Common headers needed by most source files */


#ifndef _GNU_SOURCE
#define _GNU_SOURCE 1
#endif

#ifndef CONFIG_H
#include <config.h>
#ifndef CONFIG_H
#define CONFIG_H
#endif
#endif

#include <sys/types.h>
#include <unistd.h>

#include <ctype.h>
#include <errno.h>
#include <stdarg.h>
#include <stdio.h>
#include <stdlib.h>
#include <string.h>

#if TIME_WITH_SYS_TIME
# include <sys/time.h>
# include <time.h>
#else
# if HAVE_SYS_TIME_H
#  include <sys/time.h>
# else
#  include <time.h>
# endif
#endif

#ifndef DEFNS_H
#include "defns.h"
#endif

#ifndef DEBLOG_H
#include "deblog.h"
#endif

#ifndef MAINCF_H
#include "maincf.h"
#endif

#ifndef RW_H
#include "rw.h"
#endif

#ifndef STDX_H
#include "stdx.h"
#endif

#endif /* COMMON_H */
