#ifndef UPLOADS_H
#define UPLOADS_H

/*
    newsstar - advanced news fetcher
    Copyright (C) 2001-2002 Tony Houghton <h@realh.co.uk>

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

/* Keep track of status of outgoing messages as they're uploaded */


#ifndef DEFNS_H
#include "defns.h"
#endif

void uploads_bad(const char *pathname, const char *server, const char *reason);

/* Good uploads override any bad uploads of the same file */
void uploads_good(const char *pathname);

/* Moves them to "failed" subdirectory */
void uploads_move_any_bad(void);

#endif /* UPLOADS_H */
