#ifndef TODAY_H
#define TODAY_H

/*
    newsstar - advanced news fetcher
    Copyright (C) 2001-2002 Tony Houghton <h@realh.co.uk>

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

/* Crude representation of what day it is for keeping track of things that have
 * to be expired after a certain number of days */


#ifndef COMMON_H
#include "common.h"
#endif

/* Returns integer representation of day in tm as approximate number of days
 * since 1970 */
long int today_simplify(const struct tm *);

extern long int today;

void today_init(void);

#endif /* TODAY_H */
